[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#183223: apt-src: [PATCH] to correctly do version comparison



Package: apt-src
Version: 0.25
Severity: normal
Followup-For: Bug #183223

--- orig/AptSrc.pm
+++ mod/AptSrc.pm
@@ -278,7 +278,7 @@
 	# Finally, take the most recent version of the remaining matches.
 	my ($source, $version);
 	foreach my $match (@matches) {
-		if (! defined $version || !$vs->compare($match->{Version}, $version) > 0) {
+		if (! defined $version || $vs->compare($match->{Version}, $version) > 0) {
 			$source=$match->{Package};
 			$version=$match->{Version};
 		}

-- 
Eric Wong                normalperson@yhbt.net
Petta Technology, Inc      eric@petta-tech.com



Reply to: